Subject: Re[2]: BIRD 45.1 -- Dynamic clamps

From: Arpad Muranyi <[email-masked]>
Date: Fri, 05 Dec 97 07:33:00 PST

Text item: 

Looking at the buffer scheduler keyword in the IBIS spec. I would like to make 
suggestion that we rather modify that instead of adding these keywords (in 
BIRD45.1).  When it boils down to the operation of the device, it really doesn't
matter whether we call the I-V curves clamps or drivers, as long as there are 
curves which can be controlled by something (time, voltage, etc.).

So I would like to suggest the addition of a couple of items to the buffer 
scheduling mechanizm that would allow the translation (shifting) of the I-V 
curves, and allow them to be controlled by the voltage on the I/O pad (kind of 
like a feedback).  If we had these features, we could use the scheduler to do a 
lot of different things, including some of the devices that may come out in the 
future.

Any comments?

Arpad
================================================================================

It seems to me that the values for  V_trigger, V_trigger_min, and V_trigger_max
ought to be in the three column format the same as other typ, min, max data.
This is the convention used for other such data and to introduce a
new convention
without a clear reason for it would lead to confusion.

Thus,

| Subparameters: V_trigger, V_trigger_min, V_trigger_max

| Usage Rules: The [Dynamic GND Clamp] and [Dynamic PWR Clamp] specifications
|              contain three subparameters and two keywords. The subparameters
|              (V_trigger, V_trigger_min, V_trigger_max) specify the threshold
|              clamp voltage value that causes the clamp to begin switching
|              from "off" to "on" according to the [Pulse Table] section.
|              These values correspond to the typical, weak (slow), and strong
|              (fast) situations.
|
[Dynamic GND Clamp]

V_trigger     = 1.4V
V_trigger_min = 1.2V
V_trigger_max = 1.6V

Would change to

| Subparameters: V_trigger

| Usage Rules: The [Dynamic GND Clamp] and [Dynamic PWR Clamp] specifications
|              contain one subparameter and two keywords. The subparameter
|              (V_trigger) specifies the threshold
|              clamp voltage value that causes the clamp to begin switching
|              from "off" to "on" according to the [Pulse Table] section.
|              These values correspond to the typical, weak (slow), and strong
|              (fast) situations.

[Dynamic GND Clamp]
|               typ     min     max
V_trigger       1.4V    1.2V    1.6V

--
 -- Paul Gregory

   phone: (208) 396-5086               USmail: Hewlett-Packard
     fax: (208) 396-4122                       M/S 143
   email: [email-masked]                  11311 Chinden Blvd.
                                               Boise, ID  83714

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Mailer: Elm [revision: 70.85]
In-Reply-To: <[email-masked]>; from "Neven Orhanovic" at Nov 2
0, 97 4:23 pm
Cc: [email-masked]
Date: Fri, 21 Nov 97 8:10:24 MST
To: [email-masked] (Neven Orhanovic) (Neven Orhanovic)
Subject: Re: BIRD 45.1 -- Dynamic clamps
From: Paul Gregory <[email-masked]>
org (8.8.5/8.8.3) with ESMTP id HAA15986 for <[email-masked]>; Fri, 21 Nov 1997 07
:15:02 -0800 (PST)
Received: from server.vhdl.org (server.vhdl.org [198.31.14.3])
     by ganymede.or.intel.com (8.8.6/8.8.5) with ESMTP id HAA05204;
     Fri, 21 Nov 1997 07:34:23 -0800 (PST)
Received: from ganymede.or.intel.com by relay.hf.intel.com with smtp
     (Smail3.1.28.1 #2) id m0xYv2m-000qERC; Fri, 21 Nov 97 07:30 PST